Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nl.liacs.subdisc.gui
Class GUI

    java.lang.Object
      nl.liacs.subdisc.gui.GUI

    public class GUI

extends java.lang.Object

Nested Class Summary
`static class` | `GUI.Event`

Field Summary
`static java.awt.Dimension` | `BUTTON_DEFAULT_SIZE`
`static java.awt.Dimension` | `BUTTON_MAXIMUM_SIZE`
`static java.awt.Dimension` | `BUTTON_MINIMUM_SIZE`
`static java.awt.Font` | `DEFAULT_BUTTON_FONT`
`static java.awt.Font` | `DEFAULT_TEXT_FONT`
`static java.awt.Color` | `RED`
`static java.awt.Dimension` | `ROC_WINDOW_DEFAULT_SIZE`
`static java.awt.Dimension` | `TEXT_FIELD_DEFAULT_SIZE`
`static java.awt.Dimension` | `WINDOW_DEFAULT_SIZE`

Method Summary
`static javax.swing.border.Border` | `buildBorder(java.lang.String theTitle)`
`static javax.swing.JButton` | `buildButton(java.lang.String theName, int theMnemonic, java.lang.String theActionCommand, java.awt.event.ActionListener theClass)`
`static javax.swing.JButton` | `buildButton(java.lang.String theName, java.lang.String theActionCommand, java.awt.event.ActionListener theClass)`
`static javax.swing.JCheckBox` | `buildCheckBox(java.lang.String theName, java.awt.event.ItemListener theClass)`
`static javax.swing.JComboBox` | `buildComboBox(java.lang.Object[] theItems, java.awt.event.ActionListener theClass)`
`static javax.swing.JLabel` | `buildLabel(java.lang.String theName, java.awt.Component theComponent)`
`static javax.swing.JRadioButton` | `buildRadioButton(java.lang.String theName, java.lang.String theActionCommand, java.awt.event.ActionListener theClass)`
`static javax.swing.JTextField` | `buildTextField(java.lang.String theText)`
`static void` | `focusComponent(javax.swing.JComponent theComponentToFocus, javax.swing.JFrame theFrame)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RED

    public static final java.awt.Color RED

### DEFAULT_TEXT_FONT

    public static final java.awt.Font DEFAULT_TEXT_FONT

### DEFAULT_BUTTON_FONT

    public static final java.awt.Font DEFAULT_BUTTON_FONT

### TEXT_FIELD_DEFAULT_SIZE

    public static final java.awt.Dimension TEXT_FIELD_DEFAULT_SIZE

### WINDOW_DEFAULT_SIZE

    public static final java.awt.Dimension WINDOW_DEFAULT_SIZE

### ROC_WINDOW_DEFAULT_SIZE

    public static final java.awt.Dimension ROC_WINDOW_DEFAULT_SIZE

### BUTTON_DEFAULT_SIZE

    public static final java.awt.Dimension BUTTON_DEFAULT_SIZE

### BUTTON_MINIMUM_SIZE

    public static final java.awt.Dimension BUTTON_MINIMUM_SIZE

### BUTTON_MAXIMUM_SIZE

    public static final java.awt.Dimension BUTTON_MAXIMUM_SIZE

Method Detail

### buildButton

    public static javax.swing.JButton buildButton(java.lang.String theName,
                                                  int theMnemonic,
                                                  java.lang.String theActionCommand,
                                                  java.awt.event.ActionListener theClass)

### buildButton

    public static javax.swing.JButton buildButton(java.lang.String theName,
                                                  java.lang.String theActionCommand,
                                                  java.awt.event.ActionListener theClass)

### buildRadioButton

    public static javax.swing.JRadioButton buildRadioButton(java.lang.String theName,
                                                            java.lang.String theActionCommand,
                                                            java.awt.event.ActionListener theClass)

### buildCheckBox

    public static javax.swing.JCheckBox buildCheckBox(java.lang.String theName,
                                                      java.awt.event.ItemListener theClass)

### buildComboBox

    public static javax.swing.JComboBox buildComboBox(java.lang.Object[] theItems,
                                                      java.awt.event.ActionListener theClass)

### buildLabel

    public static javax.swing.JLabel buildLabel(java.lang.String theName,
                                                java.awt.Component theComponent)

### buildTextField

    public static javax.swing.JTextField buildTextField(java.lang.String theText)

### buildBorder

    public static javax.swing.border.Border buildBorder(java.lang.String theTitle)

### focusComponent

    public static void focusComponent(javax.swing.JComponent theComponentToFocus,
                                      javax.swing.JFrame theFrame)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD